Loading...
Searching...
No Matches
CostModel.h File Reference
`#include <string>`
`#include "Featurization.h"`
`#include "FunctionDAG.h"`
`#include "HalideBuffer.h"`
`#include "PerfectHashMap.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::Adams2019Params
class | Halide::CostModel

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler